> For the complete documentation index, see [llms.txt](https://developer.harness.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.harness.io/api-reference/cost-management-agent-apis/commitment-orchestrator/savings-rate.md).

# Savings Rate

## Get Effective Savings Rate

> Fetches the effective savings rate and total spend percentage for the given account within the specified date range.

```json
{"openapi":"3.0.1","info":{"title":"Commitment Orchestrator APIs","version":"1.0.0"},"tags":[],"servers":[{"url":"https://app.harness.io/gateway","description":"Production server"}],"paths":{"/accounts/{account_id}/v2/savings/savings-rate":{"post":{"tags":["Savings Rate"],"summary":"Get Effective Savings Rate","description":"Fetches the effective savings rate and total spend percentage for the given account within the specified date range.","operationId":"GetSavingsRate","parameters":[{"name":"account_id","in":"path","required":true,"schema":{"type":"string"},"description":"Account Identifier for the entity."},{"name":"routingId","in":"query","required":true,"schema":{"type":"string"},"description":"Routing identifier for request processing."},{"name":"accountIdentifier","in":"query","required":true,"schema":{"type":"string"},"description":"Identifier of the account."},{"name":"start_date","in":"query","required":true,"schema":{"type":"string"},"description":"Start date for the savings calculation period."},{"name":"end_date","in":"query","required":true,"schema":{"type":"string"},"description":"End date for the savings calculation period."}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UtilizationOverviewRequestFilters"}}}},"responses":{"200":{"description":"Successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SavingsRateResponse"}}}},"400":{"description":"Invalid request parameters"}}}}},"components":{"schemas":{"UtilizationOverviewRequestFilters":{"type":"object","properties":{"instance_families":{"type":"array","items":{"type":"string"},"description":"List of instance families"},"regions":{"type":"array","items":{"type":"string"},"description":"List of regions to filter by"},"cloud_account_ids":{"type":"array","items":{"type":"string"},"description":"List of cloud account IDs to filter by"},"service":{"type":"string","enum":["Amazon Elastic Compute Cloud - Compute","Amazon Relational Database Service","VirtualMachines"]}}},"SavingsRateResponse":{"type":"object","properties":{"ts":{"type":"integer","description":"Response timestamp"},"success":{"type":"boolean","description":"Specifies if the operation was successful"},"errors":{"type":"string","description":"Error message, if any"},"response":{"type":"object","properties":{"effective_savings_rate":{"type":"number","format":"double","description":"Effective savings rate percentage."},"total_spend_percentage":{"type":"number","format":"double","description":"Total spend percentage."}}}}}}}}
```
